device_type: x86
job_name: Try 'ramdisk.cpio.gz' boot option

timeouts:
  job:
    minutes: 15
  action:
   minutes: 5
  actions:
    bootloader-action:
      minutes: 5
    bootloader-retry:
      minutes: 5
    bootloader-interrupt:
      minutes: 5
    auto-login-action:
      minutes: 1
  extract-nfsrootfs:
    seconds: 90
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: ipxe.yaml

context:
  extra_kernel_args: initrd=/ramdisk.cpio.gz root=/dev/ram0

actions:
- deploy:
    timeout:
      minutes: 2
    modules_compression: xz
    to: tftp
    kernel:
      url: http://192.168.0.1:8000/linaro/debian/vmlinuz
    ramdisk:
      url: http://192.168.0.1:8000/linaro/debian/initrd.img-3.16.0-4-amd64
      compression: gz
    modules:
      url: http://192.168.0.1:8000/linaro/debian/modules.tar.gz
      compression: gz
    os: debian

- boot:
    method: ipxe
    commands: ramdisk
    prompts:
    - '\(initramfs\)'
